# Bayesian Immune Cell Abundance Model (BICAM)

`BICAM.Rd`

Bayesian Immune Cell Abundance Model (BICAM)

    BICAM(
      dat,
      M,
      adapt,
      burn,
      it,
      thin = 1,
      ran_eff = 1,
      chains = 4,
      cores = 4,
      v0_mu_logit = 0.01,
      ncov = 1,
      model = "Unstr",
      dis = NULL,
      tree = NULL,
      treelevels = NULL
    )

## Arguments

dat

  data frame with dataset (proper setup displayed in tutorial)

M

  number of cell types/parameters of interest

adapt

  number of adaptation iterations (for compiling model)

burn

  number of burn-in iterations

it

  number of sampling iterations (after burn-in)

thin

  number of thinning samples

ran_eff

  indicate whether to use random subject effect (repeated measurements)

chains

  number of chains to run

cores

  number of cores

v0_mu_logit

  anticipated proportion of cell types/parameters

ncov

  number of covariates input into the model

model

  covariance model selection

dis

  distance matrix for Exp. Decay model

tree

  tree-structured covariance matrix for Tree and Scaled Tree models

treelevels

  list of matrices for multilevel, tree-structured covariance matrix for TreeLevels model

## Value

A list of inputs and results